package com.dev.swms.server.service.base;

import java.util.List;

import org.springframework.transaction.annotation.Transactional;

import com.dev.swms.server.model.base.Position;
import com.dev.swms.server.model.base.PositionDetail;
import com.dev.energy.server.service.BaseManager;

public interface PositionManager extends BaseManager {
	
	/**
	 * 保存定位分类
	 * @param position
	 */
	@Transactional
	void storePosition(Position position);
	
	/**
	 * 向定位分类中添加明细
	 * @param positionId
	 * @param detail
	 */
	@Transactional
	void addDetailToPosition(Long positionId,PositionDetail detail);
	
	/**
	 * 删除定位分类明细
	 * @param positionId
	 * @param positionDetailIds
	 */
	@Transactional
	void deleteDetailFromPosition(Long positionId,List<Long> positionDetailIds);
	
	/**
	 * 失效定位分类
	 * @param positionIds
	 */
	@Transactional
	void disablePosition(List<Long> positionIds);
	
	/**
	 * 生效定位分类
	 * @param positionIds
	 */
	@Transactional
	void enablePosition(List<Long> positionIds);
	
	
	@Transactional
	void addlocationtoposition(Long pid, List<Long> ids);
	@Transactional
	void removelocationFromPosition(Long pid, List<Long> ids);
}
